# $Revision: 1.17 $, $Date: 2012/01/16 10:43:43 $

# Conditional build:
%bcond_with	tests	# do perform "make test"

%include	/usr/lib/rpm/macros.perl
%define		pdir	Devel
%define		pnam	Caller
Summary:	Devel::Caller - meatier versions of Perl function "caller"
Summary(pl.UTF-8):	Devel::Caller - treściwsza wersja perlowej funkcji "caller"
Name:		perl-Devel-Caller
Version:	2.05
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	2d197318ce8e8d736f23b7f751e8b093
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-PadWalker >= 0.08
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Devel::Caller Perl module provides meatier versions of "caller"
function.

%description -l pl.UTF-8
Moduł Perla Devel::Caller udostępnia treściwszą wersję funkcji
"caller".

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorarch}/Devel/*.pm
%dir %{perl_vendorarch}/auto/Devel/Caller
%{perl_vendorarch}/auto/Devel/Caller/*.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Devel/Caller/*.so
%{_mandir}/man3/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Devel-Caller.spec,v $
Revision 1.17  2012/01/16 10:43:43  zbyniu
- up to 2.05

Revision 1.16  2010/06/06 08:34:35  arekm
- release 2

Revision 1.15  2009/06/18 11:55:51  amateja
- updated to 2.03

Revision 1.14  2008/02/10 12:07:26  arekm
- rel 2

Revision 1.13  2007-02-13 07:16:54  glen
- tabs in preamble

Revision 1.12  2007/02/12 00:49:29  baggins
- converted to UTF-8

Revision 1.11  2004/11/03 22:30:18  paladine
- formatting

Revision 1.10  2004/05/06 18:09:30  ankry
- fixed perl-devel BR

Revision 1.9  2004/04/20 10:45:25  ankry
- license fixes/unufication

Revision 1.8  2004/03/06 23:30:34  adamg
- make test doesn't work here, use ./Build test
- switched bcond from without to with (it doesn't pass tests for me,
  don't know why... yet)

Revision 1.7  2003/10/29 18:35:58  migo
- pass optimization options (credit goes to qboosh)
- bumped required Module::Build version
- fixes in summaries and descriptions

Revision 1.6  2003/10/08 11:46:40  migo
- critical typo

Revision 1.5  2003/10/07 14:31:40  migo
- up to 0.09
- switch to Module::Build
- new bcond style
- compiler optimization flags are not passed

Revision 1.4  2003/09/09 10:24:33  ankry
- spaces -> tab

Revision 1.3  2003/08/27 00:16:33  gotar
- fixed changelog trailer

Revision 1.2  2003/08/20 22:41:31  ankry
- pl translations

Revision 1.1  2003/08/20 13:39:52  radek
- new
